Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.net
Class PasswordAuthentication

    java.lang.Object
      |
      +--java.net.PasswordAuthentication

public final class PasswordAuthentication
extends Object

The class PasswordAuthentication is a data holder that is used by Authenticator. It is simply a repository for a user name and a password.

Since:
  1.2
See Also:
  `Authenticator`, `Authenticator.getPasswordAuthentication()`

Constructor Summary
`PasswordAuthentication(String userName, char[] password)` Creates a new `PasswordAuthentication` object from the given user name and password.

Method Summary
`char[]` | `getPassword()` Returns the user password.
`String` | `getUserName()` Returns the user name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordAuthentication

    public PasswordAuthentication(String userName,
                                  char[] password)

  Creates a new `PasswordAuthentication` object from the given user name and password.

  Note that the given user password is cloned before it is stored in the new `PasswordAuthentication` object.

Parameters:
  `userName` - the user name
  `password` - the user's password

Method Detail

### getUserName

    public String getUserName()

  Returns the user name.

  Returns:
    the user name

### getPassword

    public char[] getPassword()

  Returns the user password.

  Note that this method returns a reference to the password. It is the caller's responsibility to zero out the password information after it is no longer needed.

  Returns:
    the password

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.